﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using LoongCAD.STC;
using LoongCAD.Util;
using LoongCAD.Geometry;

namespace UtilityPluginSample
{
    public partial class MainForm : LoongCAD.UI.ParamFormBase
    {
        protected static MainForm m_instance = null;
        private PluginMain m_plugin = null;

        public MainForm(PluginMain plugin) {
            m_plugin = plugin;
            m_instance = this;
            InitializeComponent();
        }

        protected override void OnFormClosed(FormClosedEventArgs e) {
            m_instance = null;
            base.OnFormClosed(e);
        }

        public static MainForm Show(PluginMain plugin) {
            if (m_instance != null) {
                m_instance.Focus();
                return m_instance;
            }

            var inst = new MainForm(plugin);
            inst.Show();
            inst.Focus();
            return inst;
        }

        private void btn_create_Click(object sender, EventArgs e) {
            STC.Document.FocusedScene.CreateSteelBeam("PL200*200", new Vec3(tb_x.Value, tb_x.Value, 0.0), new Vec3(tb_x.Value, tb_y.Value, 3000));
        }
    }
}
