﻿using System;
using System.Windows.Forms;
using LoongCAD.STC;
using LoongCAD.STC.Object3D;
using LoongCAD.STC.Plugins;
using LoongCAD.Util;

namespace UtilityPluginSample
{
    public class PluginMain : UtilityPlugin
    {
        public override Guid Guid => new Guid("0029441C2CA349FE9F1F6F19114A9619");

        public override string UtilityName => "UtilityPluginSample";

        public override string UtilityDescription => "Sample Project for UtilityPlugin";

        public override string UtilityShortDescription => "UtilityPluginSample";

        public override bool SupportShortCut => true;

        /// <summary>
        /// 此插件仅模型打开时才能被调用
        /// </summary>
        public override bool IsUtilityValid() {
            return STC.Document.IsLoaded();
        }

        public PluginMain()
        {

        }

        /// <summary>
        /// 当前工具插件在菜单或工具栏中被单击时的回调函数
        /// </summary>
        public override void OnClick(object sender, EventArgs e, Keys ctrlKeys, LoongCAD.Util.DObject paras) {
            MainForm.Show(this);
        }

        /// <summary>
        /// 当前工具插件在工具栏中被双击时的回调函数
        /// </summary>
        public override void OnDoubleClick(object sender, EventArgs e, Keys ctrlKeys, LoongCAD.Util.DObject paras) {

        }
    }
}
